<?php
  
ACCESS('users');
  
IF ($account['ID'] != $user['ID']){
  
  REDIRECT('/');
  
}
  
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".TEXT_ABSOLUTE($account['LOGIN'])."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/users/profile/?path=form&id=".$account['ID']."'>".LG('Личная информация')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Типаж')."";
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $body = INTVAL(POST('body'));
  $nature = ADSL(POST('nature'));
  $hair = ADSL(POST('hair'));
  $eye = ADSL(POST('eye'));
  $height = INTVAL(POST('height'));
  $width = INTVAL(POST('width'));
  
  IF (STR($nature) > 200){
    
    ERROR('В графе "характер" не может быть более 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($hair) > 200){
    
    ERROR('В графе "цвет волос" не может быть более 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($eye) > 200){
    
    ERROR('В графе "цвет глаз" не может быть более 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($width > 300){
    
    ERROR('Слишком большой вес', 'session');
    $err_data = 1;
    
  }
  
  IF ($height > 300){
    
    ERROR('Слишком большой рост', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/users/profile/?path=form&id='.$account['ID'].'&section=type');
    
  }
  
  DB::GET_SET("UPDATE `USERS_SETTINGS` SET `MY_BODY` = '".$body."', `MY_NATURE` = '".$nature."', `COLOR_HAIR` = '".$hair."', `COLOR_EYE` = '".$eye."', `HEIGHT` = '".$height."', `WIDTH` = '".$width."' WHERE `USER_ID` = '".$account['ID']."' LIMIT 1");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/users/profile/?path=form&id='.$account['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/users/profile/?path=form&id=".$account['ID']."&section=type'>";

ECHO "<b>".LG('Рост')."</b>:<br />";
HTML::INPUT('height', NULL, NULL, NULL, $account_set['HEIGHT']);

ECHO "<b>".LG('Вес')."</b>:<br />";
HTML::INPUT('width', NULL, NULL, NULL, $account_set['WIDTH']);

ECHO "<b>".LG('Цвет глаз')."</b>:<br />";
HTML::INPUT('eye', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['COLOR_EYE']));

ECHO "<b>".LG('Цвет волос')."</b>:<br />";
HTML::INPUT('hair', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['COLOR_HAIR']));

ECHO "<b>".LG('Характер')."</b>:<br />";
HTML::INPUT('nature', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['MY_NATURE']));

ECHO "<b>".LG('Телосложение')."</b>:<br />";
ECHO "<select name='body' class='form-control-select'>
<option value='1' ".($account_set['MY_BODY'] == 1 ? "selected='selected'" : NULL).">".LG('Не важно')."</option>
<option value='2' ".($account_set['MY_BODY'] == 2 ? "selected='selected'" : NULL).">".LG('Обычное')."</option>  
<option value='3' ".($account_set['MY_BODY'] == 3 ? "selected='selected'" : NULL).">".LG('Худощавое')."</option>
<option value='4' ".($account_set['MY_BODY'] == 4 ? "selected='selected'" : NULL).">".LG('Спортивное')."</option>
<option value='5' ".($account_set['MY_BODY'] == 5 ? "selected='selected'" : NULL).">".LG('Мускулистое')."</option>
<option value='6' ".($account_set['MY_BODY'] == 6 ? "selected='selected'" : NULL).">".LG('Плотное')."</option>  
<option value='7' ".($account_set['MY_BODY'] == 7 ? "selected='selected'" : NULL).">".LG('Полное')."</option>
</select><br /><br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".TEXT_ABSOLUTE($account['LOGIN'])."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/users/profile/?path=form&id=".$account['ID']."'>".LG('Личная информация')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Типаж')."";
ECHO "</div>";
  
?>